"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _addVersion = _interopRequireDefault(require("./api/addVersion"));

// Here we patch fetch and XMLHttpRequest to always add version parameter to api calls so that cached results
// from previous versions of the app aren't served to new versions.

/* istanbul ignore else */
if (typeof window !== 'undefined') {
  var originalFetch = window.fetch;

  window.fetch = function rsfVersionedFetch(url, init) {
    if (url.url) {
      // the first param can be a request object
      url = new Request((0, _addVersion["default"])(url.url).toString(), url);
    } else {
      url = (0, _addVersion["default"])(url).toString();
    }

    return originalFetch(url, init);
  };
}
/* istanbul ignore else */


if (typeof XMLHttpRequest !== 'undefined') {
  var originalOpen = XMLHttpRequest.prototype.open;

  XMLHttpRequest.prototype.open = function rsfVersionedOpen(method, url) {
    for (var _len = arguments.length, others = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      others[_key - 2] = arguments[_key];
    }

    return originalOpen.call.apply(originalOpen, [this, method, (0, _addVersion["default"])(url).toString()].concat(others));
  };
}
/**
 * An isomorphic implementation of the fetch API. You should always use this to fetch data on both the client and server.
 * When making requests to /api routes, ?__v__={next_build_id} will always be added to ensure that cached results
 * from previous versions of the app aren't served to new versions.
 */


var _default = require('isomorphic-unfetch');

exports["default"] = _default;
//# sourceMappingURL=fetch.js.map